DiscoveryNetworkConnector (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.transport.DiscoveryNetworkConnector class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport
Class DiscoveryNetworkConnector

    java.lang.Object
      org.codehaus.activemq.transport.NetworkConnector
          org.codehaus.activemq.transport.DiscoveryNetworkConnector

All Implemented Interfaces:
  DiscoveryListener, Service

public class DiscoveryNetworkConnector
extends NetworkConnector
implements DiscoveryListener

A `NetworkConnector` which uses discovery to find remote brokers to connect to

Version:
  $Revision: 1.7 $

Constructor Summary
`DiscoveryNetworkConnector(BrokerContainer brokerContainer)`

Method Summary
`protected void` | `addChannel(String url, Map details)`
`void` | `addService(DiscoveryEvent event)`
`protected NetworkChannel` | `createNetworkChannel(String url, Map details)`
`protected String` | `getLocalBrokerName()`
`Map` | `getLocalDetails()`
`String` | `getRemotePassword()`
`String` | `getRemoteUserName()`
`protected void` | `removeChannel(String url, Map details)`
`void` | `removeService(DiscoveryEvent event)`
`void` | `setLocalDetails(Map localDetails)`
`void` | `setRemotePassword(String remotePassword)`
`void` | `setRemoteUserName(String remoteUserName)`
`void` | `start()` Called to start the service

Methods inherited from class org.codehaus.activemq.transport.NetworkConnector
`addNetworkChannel, addNetworkChannel, getBrokerContainer, getNetworkChannels, removeNetworkChannel, setNetworkChannels, setTransportChannelListener, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiscoveryNetworkConnector

    public DiscoveryNetworkConnector(BrokerContainer brokerContainer)

Method Detail

### start

    public void start()
               throws JMSException

  Description copied from interface: `Service`
  Called to start the service

  Specified by:
    `start` in interface `Service`
  Overrides:
    `start` in class `NetworkConnector`
  Throws:
    `JMSException`

### addService

    public void addService(DiscoveryEvent event)

  Specified by:
    `addService` in interface `DiscoveryListener`

### removeService

    public void removeService(DiscoveryEvent event)

  Specified by:
    `removeService` in interface `DiscoveryListener`

### getLocalDetails

    public Map getLocalDetails()

### setLocalDetails

    public void setLocalDetails(Map localDetails)

### getRemotePassword

    public String getRemotePassword()

### setRemotePassword

    public void setRemotePassword(String remotePassword)

### getRemoteUserName

    public String getRemoteUserName()

### setRemoteUserName

    public void setRemoteUserName(String remoteUserName)

### addChannel

    protected void addChannel(String url,
                              Map details)

### removeChannel

    protected void removeChannel(String url,
                                 Map details)

### createNetworkChannel

    protected NetworkChannel createNetworkChannel(String url,
                                                  Map details)

### getLocalBrokerName

    protected String getLocalBrokerName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.